MSK4PLCInternal::KnownPLC Struct Reference

a map of known plc More...

## Public Member Functions

| KnownPLC ()
| creates the mapping More...
PLC | get (std::string const &name)
| returns the PLC corresponding to a name More...

## Protected Member Functions

void | createMapping ()
| creates the map of known PLC More...

## Protected Attributes

std::map< std::string, PLC > | m_knowns
| map name -> known PLC More...

## Detailed Description

a map of known plc

## Constructor & Destructor Documentation

MSK4PLCInternal::KnownPLC::KnownPLC | ( |  | ) |

inline

creates the mapping

## Member Function Documentation

void MSK4PLCInternal::KnownPLC::createMapping | ( |  | ) |

inline protected

creates the map of known PLC

Referenced by KnownPLC().

PLC MSK4PLCInternal::KnownPLC::get | ( | std::string const & | name | ) |

inline

returns the PLC corresponding to a name

## Member Data Documentation

std::map<std::string, PLC> MSK4PLCInternal::KnownPLC::m_knowns

protected

map name -> known PLC

Referenced by createMapping(), and get().

The documentation for this struct was generated from the following file:

- MSK4Text.cxx